import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listdefect(query) {
  return request({
    url: '/qms/defect/list',
    method: 'get',
    params: query
  })
}


// 新增【请填写功能名称】
export function adddefect(data) {
  return request({
    url: '/qms/defect/add',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updatedefect(data) {
  return request({
    url: '/qms/defect/update',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function deldefect(defectId) {
  return request({
    url: '/qms/defect/delete/' + defectId,
    method: 'post'
  })
}
